function prob = npb4go_predict(observed_data,Beta,exp_pi)

if isempty(observed_data)
    prob = exp_pi*(Beta(:,:,1)./sum(Beta(:,:,:),3))';
    return
elseif length(observed_data) >= size(Beta,1)
    prob = [];
    return
end

current_time = length(observed_data);
K = size(Beta,2);
dist = beta(repmat(observed_data',1,K)+Beta(1:current_time,:,1),1-repmat(observed_data',1,K)+Beta(1:current_time,:,2))...
    ./ beta(Beta(1:current_time,:,1),Beta(1:current_time,:,2));
dist = prod(dist,1).*exp_pi;
dist = dist./sum(dist);
prob = dist*(Beta(current_time+1:end,:,1)./sum(Beta(current_time+1:end,:,:),3))';

end